Introduction

In this help file, we describe about this utility, a convenient software GUI that is used to maintain networked SLANs. SLAN utility runs under Windows.

SLAN utility provides five main functions:

Server Manager
Server Manager is designed to provide you with instantaneous control of all SLANs, regardless of location. Server Manager provide you the facility to modify the network and/or serial configurations of SLAN, and update the firmware of one or more SLANs.

Server Monitor
Monitor's the connection status of networked SLANs.

Port Monitor
Monitor's the status of SLANs serial ports.

Port Mapping
Map an SLAN serial port to a PC host COM port (e.g., COM10).
Map an SLAN parallel port to a PC host LPT port (e.g., LPT10).

SLANPro Specific:

Auto IP address report
IP Location is used to locate SLANs that use dynamic IP assignment (e.g., DHCP/BOOTP).

NOTE: Active functions are easily accessed by clicking the right mouse button after positioning the cursor in the right pane of the utility window. For example, when Server Manager is selected, right clicking causes the following function menu to appear.


Configuration

Server Manager

Server Manager is designed to provide you with instantaneous control of all SLANs, regardless of location. Server Manager provides you the facility to modify the network and/or serial configurations of SLAN, and update the firmware of one or more SLANs. To use this function, you need to specify the target SLAN and add to list. Then you can select SLAN from list and configure it.

Add SLAN to list
Search Devices
Add with IP Address

Note 1: This utility doesn't support duplicated IP situation. That is, if there are two or more SLANs with the same IP as the other on LAN, this utility will fail to configure/contact theSLAN.

Server Manager Menu
Search Devices
Add with IP Address
Locate
Unlock
Configure
Custom Telnet
Upgrade Firmware
Export Configuration
Import Configuration
Assign IP Address

[Search Devices]
Use this function to search the LAN for all connected SLANs. This utility will automatically list the SLANs which are in the LAN. If the SLAN is not on LAN and fail to contact, it will be removed from list.

Note 1: The search is done by UDP broadcast, SLANs connected outside the PC hosts LAN (on WAN, cross the router) will not be able to locate.
Note 2: If the located SLAN is password protected,the status on the utility will show Locked,otherwise blank.unlock it to get privilege of accessing the device.

[Add with IP Address]
This function is used to search for a single SLAN if IP of that is provided. You can use ping (ICMP) to make sure the host can reach the specified SLAN.

Note 1: If the located SLAN is password protected,the status on the utility will show Locked,otherwise blank.unlock it to get privilege of accessing the device.

[Locate]
This utility is used to determine an SLANs physical location.
Step 1: Click on the SLAN (from the list in the right pane of the Server Manager window) that you wish to locate to highlight it.
Step 2: Click on the Server Manager menu (third from the left), and choose Locate. The SLANs Ready LED will blink steadily, and the SLAN will make a beeping sound.

[Unlock]

If you want to modify SLAN configuration and upgrade firmware which is password protected, you must use this function to specify password.

[Configure]
This function allows you to modify the following settings: Basic Settings, IP Settings, Port Settings, Password.
Operating Mode, Accessible IP, Auto Warning, IP address report are specific to SLANPro. To modify settings, you must click on the Modify checkbox that appears near the top of each Configure page.

Note 1: If the SLAN is password protected, use [Unlock] to unlock it with correct password. That is, this function is password protected.

[Custom Telnet]
This is a console based application which is user friendly,It will display different choice like changing the settings of basic,serial,network,password page etc.we can enter our choice to modify them or we can see the current settings.these upgraded changes will be displayed in the administrator

[Upgrade firmware]
Use this function to update the SLAN firmware.

Note: If the SLAN is password protected, use [Unlock] to unlock it with correct password. That is, this function is password protected.

Tip: Multiple SLAN upgrade is supported, but must be the same model.

[Export Configuration]
The Export Configuration utility is used to save the entire configuration of a particular SLAN to a text file. You can use this function to
1. Backup the SLAN configuration. You can use [Import Configuration] with the text file to restore previous settings in the future.
2. Modify the text file and Import to different SLAN.

[Import Configuration]
The Import Configuration utility is used to import an entire/partial configuration from a text file to an SLAN. In general, the text file is created by [Export Configuration] function.

Note: Before using this function, you must check the text file content is correct.

Tip: SLAN must be the same model. In this situation, all item in text file will be applied to selected SLAN including Server Name, IP Address.

[Assign IP Address]
This function is used to set the IP address of one or more SLAN. To use this function, first highlight one or more SLAN, and then select Assign IP Address under the Server Manager menu. You can set the IP address of each selected SLAN individually, or click on Assign IP Sequentially to automatically assign IPs in sequence.


Monitor

Server Monitor

This function is for monitoring SLAN status by server. To monitoring, select SLAN , set the monitor item and select [Go]. To stop monitoring, select [Stop]

[Add Device]
Specify the SLAN to be Monitored.
Select Add Device under the Monitor menu to open the Add Device dialog. The window opens by showing all SLANs connected to the LAN. You can add or remove Devices by choosing Search & Select .Use the Add manually option to input an SLAN IP address. This option is particularly useful for adding SLANs located outside the LAN.

[Remove Device]
If you don't want to monitor the SLAN, use this function to remove the SLAN from list.

[Load Configured Ports]
If you map any SLAN to COM Port in host, you use this function to load the COM Port corresponding SLAN to list. Use this fuction you can monitor COM Port convieniently.

[Settings]
Configure monitor function. Including monitor item, refresh rate and notification.

[Go]/[Stop]
Begin/Stop monitor function.


Port Monitor

This function is for monitoring SLAN status by port. This utility can display each port detail status. To monitor, select SLAN , set the monitor item and select [Go]. To stop monitoring, select [Stop]

[Add Device]
Specify the SLAN port to be Monitored.

[Remove Device]
If you don't want to monitor the SLAN , use this function to remove the SLAN from list. If you only want to disable some ports, just clear the check box of the port.

[Load Configured Ports]
If you map any SLAN to COM Port in host, you use this function to load the COM Port corresponding SLAN to list. Use this fuction you can monitor COM Port conveniently.

[Settings]
Configure monitor function. Including monitor item, refresh rate and notification.

[Go]/[Stop]
Begin/Stop monitor function.


COM Mapping

Port Mapping

You can map SLAN serial/printer port to COM/LPT port, and use the serial/printer port as the local COM/LPT port. To use this function, select the SLAN into list, configure COM/LPT port setting, then select [Apply Change].

[Add Device]
Specify the SLAN ports to be virtualised.

[Remove Device]
If you don't want to virtualise the SLAN ports, use this function to remove the SLAN ports from list.

[Enable]/[Disable]
If you only want to enable/disable one of SLAN Port, use this function to toggle setting.

[PORT settings]
Configure the specified COM / LPT Port number.

[Apply Change]
Each time you modify the settings, you must use this function to make the change active.
Note: Before applying change, you must close all opened COM/LPT Port (if any).

[Discard Change]
If you want to discard the change before [Apply Change], use this function to restore settings to previous.

[Export PORT Mapping]
Use this function to export PORT Mapping configuration.You can use this function to backup the PORT Mapping configuration. You can use [Import PORT Mapping] with the text file to restore previous settings in the future.

[Import PORT Mapping]
Use this function to import PORT Mapping configuration.


Auto IP Address Report

IP Address Report

Use this function to monitor SLAN IP address report status. If SLAN IP Address Report is enabled, SLAN will report the IP address to specified host periodically. This function can active as listen server to display the received latest IP address from any SLAN .

[Settings]
Configure Auto IP address report. Including local host listen UDP Port .

[Go]/[Stop]
Begin/Stop IP address report function.

[Clear]
Clear the list view. Discard any received SLAN IP address information.


Configure Dialog

To modify settings, you must click on the [Modify] checkbox that appears near the top of each Configure page.

[Basic Settings] Page
This page is used to modify Server Name.
Inactivity Time:This value ranges from 30 to 65535 (Seconds).
Specific to SLANPro: Server Time,Enable or Disable Web/Telnet Console.

[IP Settings] Page

Use this page to modify IP Address, Netmask, Gateway.
Specific to SLANPro:Disable or Enable DHCP,BOOTP DNS Server, and Enable or Disable SNMP.

[Port Settings] Page
Use the Serial page to modify your SLAN serial port settings. To see detailed port information, click on the row corresponding to the port to highlight the row, and then click on [View Settings]. To modify port settings, after highlighting the row, click the [Modify] checkbox, and then click on [Port Settings]."Port Time Out " ranges from 1 to 255 (x0.5ms).

[Password] Page
The Password page can be used to modify or enable/disable a password. The Enable/Disable password option can be used to make the SLAN password protected or not.If it is Enabled then status is Locked and password protected else if it is disabled then status is blank means we can directly access the device.

Following are Specific to SLANPro:

[Operating Mode] Page
Use the Serial page to modify your SLAN serial port settings. To see detailed port information, click on the row corresponding to the port to highlight the row, and then click on [View Settings]. To modify port settings, after highlighting the row, click the [Modify] checkbox, and then click on [Port Settings].

[Accessible IPs] Page
Use the Accessible IP page to add or remove host access to SLAN serial ports. Input an accessible IP and then click on [Apply] to add new rule. If you want to use this rule, please choose check button of this rule number.

[Auto Warning] Page
Use this function to set up the Mail Server, from and to mail addresses, and SNMP Trap Server. Select the Event to choose which event will cause an e-mail warning to be sent.

[IP Address Report] Page
Use this setting to cause SLAN to inform a host of the SLAN new IP address (useful when the SLAN IP address is assigned dynamically).


Monitor Settings

Server Monitor Settings

Server Monitor Items

ITEM | MEANINGS
No | SLAN Serial number
Model | SLAN Model
MAC Address | SLAN MAC address
IP Address | SLAN IP Address
Alive | Display the SLAN Status is "Alive" or "Not Alive".

General Settings

[Refresh Rate]
Define the Monitor data refresh rate. The range is from 3 to 99 in second.

[Auto save monitored SLAN list]
If checked, monitor items and selected SLAN list will be saved to registry while existing Administrator for next time usage .

Advanced Settings

[Display warning message for new event]
If checked, Administrator will display warning message for new event to notify the user.

[Play warning music for new event]
Playing warning message for new event every 1 second until user break. User can specify the wave file (*.wav) or blank for system default warning music. This option is only available if [Display warning message for new event] option is selected.


Port Monitor Settings

Monitor Item

ITEM | MEANINGS
Model | SLAN Model
MAC Address | SLAN MAC address
IP Address | SLAN IP Address
Port | Port Number
COM Number | If SLAN is mapped to COM port, this field display the COM number.
No | SLAN Serial number.
Operating Mode | Port Operating mode
Alive | Display the SLAN Status is "Alive" or "Not Alive".
Conn. Status | Port connection status. (Listen, established, connecting...)
Remote IP | If connection established, display the remote IP address.
Line Status | Display the serial line status.
Tx/Rx After Conn. | The Tx/Rx (Bytes) count from connection established.
Tx/Rx after Mon | The Tx/Rx (Bytes) count from Monitor started.
Tx/Rx Thru. | The Tx/Rx throughput (bits/sec) from Monitor started.
Tx/Rx Intv Thru. | The Tx/Rx interval throughput (bits/sec).

General Settings

[Refresh Rate]
Define the Monitor data refresh rate. The range is from 3 to 99 in second.

[Auto save monitored SLAN list]
If checked, monitor items and selected SLAN list will be saved to registry, for the utility to use next time.

Advanced Settings

[Display warning message for new event]
If checked, this utility will display warning message for new event to notify the user.

[Play warning music for new event]
Playing warning message for new event every 1 second until user break. User can specify the wave file (*.wav) or blank for system default warning music. This option is only available if [Display warning message for new event] option is selected.


COM Settings

Port Settings

Basic Settings
COM/LPT port number settings.If multiple SLAN are selected, you can enable [Auto Enumerating Port Number for Selected Ports]. This utility will set COM/LPT number sequentially by listed order.

Tip: Multiple SLAN setting is selected. You can sort the listed port before mapping COM/LPT number. This utility will follow the sequence to assign COM/LPT number.


Auto IP Report Settings

Specific to SLANPro:

Auto Report IP Settings

Local Listen Port
Before setting this option, you must check SLAN"IP Address Report" settings. This option must be the same as SLAN settings. Administrator will wait the SLAN report IP address to this listen port.